package cc.util.bossshop.filemanager;

import cc.util.bossshop.pluginmodel.ABukkitPlugin;

public abstract class AConfigManager extends AFileManager{

    public AConfigManager(ABukkitPlugin pPlugin,String pVersion){
        super(pPlugin,"config.yml",pVersion);
    }
    
    @Override
    public void addDefaults(){
        super.addDefaults();
        this.mConfig.addDefault("debug",true);
        this.mConfig.addDefaultComments("debug","是否开启调试模式","如果开启调试模式,插件报错的时候会输出完整的堆栈错误","还可能会输出一些个人设置的调试信息");
    }
    
    public boolean isDebug(){
        return this.mConfig.getBoolean("debug");
    }

}
